$(function(){
	
	
	$(".menu-trigger").on('click', function () {
      $(".off-canven-menu").addClass("active");
      $(".offcanvas-overlay").addClass("active");

	  
    });
	
	
    $(".close-icon i, .offcanvas-overlay").on('click', function () {
      $(".off-canven-menu").removeClass("active");
      $(".offcanvas-overlay").removeClass("active")
    });
	
	
	
$(window).on('pageshow', function() { 
//alert("I'm happy"); 
});
	

	   var back1 = $( ".back1" ).first();
	   var back_position = back1.position();

	
setTimeout( function(){ 
	$(".pre_con").fadeOut();

}  , 1000 );
  

$("a:not(.inactive)").click(function(){
	
	if(!$(this).hasClass("inactive")){
		//alert("s");
		$(".pre_con").fadeIn();
	}
});  


//alert('load');		







var menu_open=0;

$("li .btn").click(function(){
$(this).removeClass("menu_active");

if($(this).attr("menu_open")=="0"){
$(".sub_menu").css("display","none");	
$(".sub_menu").attr("menu_open","0");
$(".menu_header").attr("menu_open","0");
$(".menu_header").removeClass("menu_active");
$(this).next("ul").css("display","block");	
$(this).attr("menu_open","1");

$(this).addClass("menu_active");
}else{
	
$(this).next("ul").css("display","none");	
$(this).attr("menu_open","0");
$(this).removeClass("menu_active");
}
	
	
});




$("#search_btn").click(function(){
	//alert(website_url);
	search_text=$("#search_box").val().split("%20").join("");
	search_text=search_text.split(" ").join("");
	
	if(search_text!=''){
	window.location.href = website_url+"/search/"+ search_text;
	}else{
		alert("لم تحدد كلمة البحث");
	}
});



$('#search_box').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){
		
		search_text=$("#search_box").val().split("%20").join("");
		search_text=search_text.split(" ").join("");
		
		if(search_text!=''){
		window.location.href = website_url+"/search/"+ search_text;
		}else{
			alert("لم تحدد كلمة البحث");
		}

    }
});


$("#search_btn2").click(function(){

	search_text=$("#search_box2").val().split("%20").join("");
	search_text=search_text.split(" ").join("");
	
	if(search_text!=''){
	window.location.href = website_url+"/search/"+ search_text;
	}else{
		alert("لم تحدد كلمة البحث");
	}
});



$('#search_box2').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){
		
		search_text=$("#search_box2").val().split("%20").join("");
		search_text=search_text.split(" ").join("");
		
		if(search_text!=''){
		window.location.href = website_url+"/search/"+ search_text;
		}else{
			alert("لم تحدد كلمة البحث");
		}

    }
});






	$(".sub").click(function(){
		
	if($(this).attr("status")=='opened'){
		$(this).parent().next().slideUp();	
		$(this).attr("status",'closed');
		$(this).removeClass('sub_close');
		$(this).addClass('sub_open');
		
	}else{

		$(this).parent().next().slideDown();	
		$(this).removeClass('sub_open');
		$(this).addClass('sub_close');	
		$(this).attr("status",'opened');
	}	
		
		
	});



	$(".nav_btn").click(function() {
		
	   $('body').animate({
			scrollTop:  $(".slider_part").offset().top
		}, 500);

	});




	$("#to_top").click(function() {
	   $('html').animate({
			scrollTop:  $(".full-page").offset().top
		}, 2000);
		
		$("#to_top").fadeOut();
	});
	
	
	
		$("#verfication_searchbtn").click(function(){
		
			//alert($("#verfication_searchbox").val());
		
			$.post(website_url+"/"+"ajax_check_certificate.php",
			({
				"serial":$("#verfication_searchbox").val()
			}),
			function(data){
				
			//alert(data);
					$("#verfication_results").html(data);
				
				
			
		});

	});

	

$(".dropdown").on("mouseenter", function() {
    $(".under_menu").show();
});

$(".dropdown").on("mouseleave", function() {
    $(".under_menu").hide();
});
	

 //alert("Z");

	
});
